org.apache.hadoop.hdfs.server.diskbalancer.planner

## Interface Step

- All Known Implementing Classes:
    MoveStep

      public interface Step

  A step in the plan.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBandwidth()` Returns max disk bandwidth that disk balancer will use.
    `long` | `getBytesToMove()` Return the number of bytes to move.
    `DiskBalancerVolume` | `getDestinationVolume()` Gets the destination volume.
    `double` | `getIdealStorage()` Gets the IdealStorage.
    `long` | `getMaxDiskErrors()` Returns maximum number of disk erros tolerated.
    `String` | `getSizeString(long size)` Returns a String representation of the Step Size.
    `DiskBalancerVolume` | `getSourceVolume()` Gets Source Volume.
    `long` | `getTolerancePercent()` Returns tolerance percentage, the good enough value when we move data from one to disk to another.
    `String` | `getVolumeSetID()` Gets a volume Set ID.
    `void` | `setBandwidth(long bandwidth)` Set Bandwidth on a specific step.
    `void` | `setMaxDiskErrors(long maxDiskErrors)` Set maximum errors to tolerate before disk balancer step fails.
    `void` | `setTolerancePercent(long tolerancePercent)` Sets Tolerance percent on a specific step.

- - ### Method Detail

    - #### getBytesToMove

          long getBytesToMove()

      Return the number of bytes to move.
      Returns:
        bytes

    - #### getDestinationVolume

          DiskBalancerVolume getDestinationVolume()

      Gets the destination volume.
      Returns:
        - volume

    - #### getIdealStorage

          double getIdealStorage()

      Gets the IdealStorage.
      Returns:
        idealStorage

    - #### getSourceVolume

          DiskBalancerVolume getSourceVolume()

      Gets Source Volume.
      Returns:
        -- Source Volume

    - #### getVolumeSetID

          String getVolumeSetID()

      Gets a volume Set ID.
      Returns:
        String

    - #### getSizeString

          String getSizeString(long size)

      Returns a String representation of the Step Size.
      Returns:
        String

    - #### getMaxDiskErrors

          long getMaxDiskErrors()

      Returns maximum number of disk erros tolerated.
      Returns:
        long.

    - #### getTolerancePercent

          long getTolerancePercent()

      Returns tolerance percentage, the good enough value when we move data from one to disk to another.
      Returns:
        long.

    - #### getBandwidth

          long getBandwidth()

      Returns max disk bandwidth that disk balancer will use. Expressed in MB/sec. For example, a value like 10 indicates that disk balancer will only move 10 MB / sec while it is running.
      Returns:
        long.

    - #### setTolerancePercent

          void setTolerancePercent(long tolerancePercent)

      Sets Tolerance percent on a specific step.
      Parameters:
        `tolerancePercent` - - tolerance in percentage.

    - #### setBandwidth

          void setBandwidth(long bandwidth)

      Set Bandwidth on a specific step.
      Parameters:
        `bandwidth` - - in MB/s

    - #### setMaxDiskErrors

          void setMaxDiskErrors(long maxDiskErrors)

      Set maximum errors to tolerate before disk balancer step fails.
      Parameters:
        `maxDiskErrors` - - error count.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.